Summary:	Open Crypto Development Kit
Summary(pl.UTF-8):	Open Crypto Development Kit
Name:		opencdk
Version:	0.6.6
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%{name}-%{version}.tar.bz2
# Source0-md5:	813d62d7afe7b2c2d8f3df0a6c9d9331
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	zlib-devel
Requires:	libgcrypt >= 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides basic parts of the OpenPGP message format.

%description -l pl.UTF-8
Biblioteka dostarcza podstawową obsługę formatu OpenPGP.

%package devel
Summary:	Header files etc to develop opencdk applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do opencdk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.2.2
Requires:	zlib-devel

%description devel
Header files etc to develop opencdk applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do opencdk.

%package static
Summary:	Static opencdk library
Summary(pl.UTF-8):	Biblioteka statyczna opencdk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static opencdk library.

%description static -l pl.UTF-8
Biblioteka statyczna opencdk.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/opencdk.m4 $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %ghost %{_libdir}/libopencdk.so.10
%attr(755,root,root) %{_libdir}/libopencdk.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_bindir}/opencdk-config
%attr(755,root,root) %{_libdir}/libopencdk.so
%{_libdir}/libopencdk.la
%{_includedir}/opencdk.h
%{_aclocaldir}/opencdk.m4
%{_pkgconfigdir}/opencdk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopencdk.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opencdk.git;a=log;h=master

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> ebe95a6
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f64bed1
- ghost
- rel 3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b08747
- release 2 (by relup.sh)

* Mon Nov 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 506d944
- updated to 0.6.6

* Wed Oct 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 791b761
- updated to 0.6.5

* Mon Sep 10 2007 Jakub Bogusz <qboosh@pld-linux.org> bfa7e90
- updated to 0.6.4 (new soname)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2a1c182
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 339c8ba
- converted to UTF-8

* Thu Feb 01 2007 Jakub Bogusz <qboosh@pld-linux.org> ff78ea9
- updated to 0.5.13

* Sun Nov 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> e1c786d
- release 2 (rebuild with P: *.la)

* Thu Oct 26 2006 Jakub Bogusz <qboosh@pld-linux.org> a590f37
- updated to 0.5.11

* Fri Oct 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 7022496
- updated to 0.5.10

* Tue Aug 08 2006 Jakub Bogusz <qboosh@pld-linux.org> fd70c5c
- updated to 0.5.9

* Fri Sep 02 2005 Jakub Bogusz <qboosh@pld-linux.org> 018b59a
- updated to 0.5.8 (versioned symbols restored)

* Thu Jun 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 6fbe8e1
- updated to 0.5.7 (note: different symbol versioning)
- removed obsolete am18 patch

* Thu Jun 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 0d2e402
- obsolete

* Mon Jun 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 857ed0d
- updated to 0.5.5

* Sat Feb 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 3863091
- updated to 0.5.4

* Sun Feb 22 2004 grzegol <grzegol@pld-linux.org> a59f1cf
- rel. 3 to rebuild with libgcrypt-1.1.92

* Thu Dec 18 2003 Jakub Bogusz <qboosh@pld-linux.org> b22202d
- added am18 patch (opencdk.m4 quotation fix); release 2

